> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/update-banner/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Update a banner. PUT https://app.unleash-instance.example.com/api/admin/banners/{id} Content-Type: application/json **Enterprise feature** Updates an existing banner identified by its id. Reference: https://docs.getunleash.io/api/update-banner ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Path parameters - `id` (string, required) ### Body (application/json) This endpoint expects a createBannerSchema. - `message` (string, required) — The message to display to all users. Supports markdown. - `enabled` (boolean, optional) — Whether the banner should be displayed currently. If not specified, defaults to true. - `variant` (string, optional) — The variant of the banner. One of "info", "warning", "error", or "success". If not specified, defaults to "info". - `sticky` (boolean, optional) — Whether the banner should be sticky on the screen. If not specified, defaults to `false`. - `icon` (string, optional, nullable) — The icon to display on the banner. Can be one of https://fonts.google.com/icons. If not specified, this will be the default icon for the variant. If "none", no icon will be displayed. - `link` (string, optional, nullable) — The link to display on the banner. Can either be an absolute or a relative link (e.g. absolute: "https://example.com" or relative: "/admin/service-accounts"). If "dialog", will display a dialog when clicked. If not specified, no link will be displayed. - `linkText` (string, optional, nullable) — The text to display on the link. If not specified, will be displayed as "More info". - `dialogTitle` (string, optional, nullable) — The title to display on the dialog. If not specified, this will be the same as `linkText`. - `dialog` (string, optional, nullable) — The markdown to display on the dialog. If not specified, no dialog will be displayed. ## Response ### 200 bannerSchema - `id` (integer, required) — The banner's ID. Banner IDs are incrementing integers. In other words, a more recently created banner will always have a higher ID than an older one. - `message` (string, required) — The message to display to all users. Supports markdown. - `createdAt` (string, required) — The date and time of when the banner was created. - `enabled` (boolean, optional) — Whether the banner should be displayed currently. If not specified, defaults to true. - `variant` (string, optional) — The variant of the banner. One of "info", "warning", "error", or "success". If not specified, defaults to "info". - `sticky` (boolean, optional) — Whether the banner should be sticky on the screen. If not specified, defaults to `false`. - `icon` (string, optional, nullable) — The icon to display on the banner. Can be one of https://fonts.google.com/icons. If not specified, this will be the default icon for the variant. If "none", no icon will be displayed. - `link` (string, optional, nullable) — The link to display on the banner. Can either be an absolute or a relative link (e.g. absolute: "https://example.com" or relative: "/admin/service-accounts"). If "dialog", will display a dialog when clicked. If not specified, no link will be displayed. - `linkText` (string, optional, nullable) — The text to display on the link. If not specified, will be displayed as "More info". - `dialogTitle` (string, optional, nullable) — The title to display on the dialog. If not specified, this will be the same as `linkText`. - `dialog` (string, optional, nullable) — The markdown to display on the dialog. If not specified, no dialog will be displayed. ## Errors ### 400 Bad Request Error The request data does not match what we expect. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 401 Unauthorized Error Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 403 Forbidden Error The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 404 Not Found Error The requested resource was not found. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 415 Unsupported Media Type Error The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ## Examples **Request** ```json { "message": "**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*." } ``` **Response** ```json { "id": 7, "message": "**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*.", "createdAt": "2023-12-27T13:37:00+01:00", "enabled": true, "variant": "info", "sticky": true, "icon": "build", "link": "dialog", "linkText": "Learn more", "dialogTitle": "Learn more about it here", "dialog": "# Information\n\nMaintenance is **scheduled**.\n\n## More details\n\nThis is an example dialog that supports Markdown." } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/banners/id" payload = { "message": "**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*." } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/banners/id'; const options = { method: 'PUT', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"message":"**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*."}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/banners/id" payload := strings.NewReader("{\n \"message\": \"**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*.\"\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/banners/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"message\": \"**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*.\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://app.unleash-instance.example.com/api/admin/banners/id") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"message\": \"**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*.\"\n}") .asString(); ``` ```php request('PUT', 'https://app.unleash-instance.example.com/api/admin/banners/id', [ 'body' => '{ "message": "**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*." }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/banners/id"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"message\": \"**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*.\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["message": "**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*."] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/banners/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```